Firewall (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.Firewall interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface Firewall

All Superinterfaces:
  Function, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, VipFunction

    public interface Firewall

extends VipFunction

A Firewall is a function that sets the firewall modules and general information

It is used for firewalls general attributes

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Function
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getFwFilterName()`
`int` | `getFwMajor()`
`int` | `getFwMinor()`
`java.lang.String` | `getFwModuleState()`
`java.lang.String` | `getFwProduct()`
`java.lang.String` | `getFwVersionInfo()`
`boolean` | `hasFwFilterName()`
`boolean` | `hasFwMajor()`
`boolean` | `hasFwMinor()`
`boolean` | `hasFwModuleState()`
`boolean` | `hasFwProduct()`
`boolean` | `hasFwVersionInfo()`
`void` | `setFwFilterName(java.lang.String string)`
`void` | `setFwMajor(int string)`
`void` | `setFwMinor(int index)`
`void` | `setFwModuleState(java.lang.String index)`
`void` | `setFwProduct(java.lang.String index)`
`void` | `setFwVersionInfo(java.lang.String info)`

Methods inherited from interface com.collation.platform.model.topology.net.vip.VipFunction
`getVips, hasVips, setVips`

Methods inherited from interface com.collation.platform.model.topology.sys.Function
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getFwVersionInfo

    java.lang.String getFwVersionInfo()
                                      throws AttributeNotSetException

  Returns:
    This function gets and sets generic version information for the firewall.
  Throws:
    `AttributeNotSetException`

### setFwVersionInfo

    void setFwVersionInfo(java.lang.String info)

### hasFwVersionInfo

    boolean hasFwVersionInfo()

### getFwModuleState

    java.lang.String getFwModuleState()
                                      throws AttributeNotSetException

  Returns:
    The
  Throws:
    `AttributeNotSetException`

### setFwModuleState

    void setFwModuleState(java.lang.String index)

### hasFwModuleState

    boolean hasFwModuleState()

### getFwFilterName

    java.lang.String getFwFilterName()
                                     throws AttributeNotSetException

  Returns:
    the
  Throws:
    `AttributeNotSetException`

### setFwFilterName

    void setFwFilterName(java.lang.String string)

### hasFwFilterName

    boolean hasFwFilterName()

### getFwProduct

    java.lang.String getFwProduct()
                                  throws AttributeNotSetException

  Returns:
    The
  Throws:
    `AttributeNotSetException`

### setFwProduct

    void setFwProduct(java.lang.String index)

### hasFwProduct

    boolean hasFwProduct()

### getFwMajor

    int getFwMajor()
                   throws AttributeNotSetException

  Returns:
    the
  Throws:
    `AttributeNotSetException`

### setFwMajor

    void setFwMajor(int string)

### hasFwMajor

    boolean hasFwMajor()

### getFwMinor

    int getFwMinor()
                   throws AttributeNotSetException

  Returns:
    The
  Throws:
    `AttributeNotSetException`

### setFwMinor

    void setFwMinor(int index)

### hasFwMinor

    boolean hasFwMinor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD